Subject: Re: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for "writeable objects"

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 5 Jun 2014 18:08:07 +0100

Hi,
 
For some reason I'm only seeing half of these emails.
 
1. I was not proposing it for the Security Considerations section.
I think it is up to you to work out the right place in the documents to put the
text.
It does not follow that the two issues need to be in contiguous text in the same
section.
 
2. The second point (what happens with SET of an unsupported value) could be
argued to be entirely obvious and well-documented. If that is so, I am happy to
not include such text, but I would like to not see discussion of exactly this
point in MIB Doctor reviews and AD Comments in the future that cause the authors
to have to add exactly this text to their document!
 
A

From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: 05 June 2014 13:21
To: Benoit Claise; MIB Doctors (E-mail)
Cc: Adrian Farrel
Subject: RE: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for
"writeable objects"
 
See in-line. 
 
Regards,
 
Dan

From: MIB-DOCTORS [mailto:[email-masked]] On Behalf Of Benoit
Claise
Sent: Thursday, June 05, 2014 3:02 PM
To: MIB Doctors (E-mail)
Cc: Adrian Farrel
Subject: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for
"writeable objects"
 
Dear MIB-doctors,

Here is a proposal from Adrian on updating the MIB boilerplate.
This looks good to me. Any feedback?

Regards, Benoit

-------- Original Message -------- 

Subject: 
Request to add to the MIB boilperplate for "writeable objects"

Date: 
Wed, 4 Jun 2014 17:06:16 +0100

From: 
Adrian Farrel  <mailto:[email-masked]> <[email-masked]>

Reply-To: 
 <mailto:[email-masked]> <[email-masked]>

To: 
 <mailto:[email-masked]> <[email-masked]>
 
Hi Benoit,
 
After the work on the BFD MIB modules and considering the IESG statement on
writeability, would you consider adding to the MIB boilerplate an optional piece
of text that says...
 
n    
n  Where is this text planned to be added? - Security considerations? 
 
====
The following objects in the MIB modules in this document have write access
either through read-write or read-create MAX-ACCESS clauses. The level of access
to these objects have been discussed by the <xxxx> working group and it was
concluded that write access was beneficial for the following reasons:
 
- <list of reasons>
 
- <list of objects>
 
As with all MIB modules, an attempt to SET or CREATE an object to a value that
is not supported by the implementation will result in a failure using a return
code that indicates that the value is not supported.
 
n    I am not sure that we need this paragraph. A compliant implementation will
do what is supposed to do. Moreover, this is not about 'value not supported' but
about trying to write objects that are not writeable - the error codes are
different. 
 
====
 
I think this would help to contain and control work on MIB documents in the
future, and would give the Doctors something to review against.
 
Please wordsmith to your heart's content.
 
Ciao,
Adrian
 
.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 5 Jun 2014 20:43:14 +0200

> to have to add exactly this text to their document!

Has this ever been a real issue?

We are adding more and more boilerplate over the years and I am not
sure anybody actually reads all this boilerplate. Repeating protocol
details in every data model just in case someone does not recall them
sounds like the wrong direction to me. I am not convinced that is a
general problem that justifies this to be in every MIB modules.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 5 Jun 2014 20:48:23 +0100

Well Juergen, I'm not under-occupied that I spend time concocting text and
proposing it for boilerplate just to fill a few idle hours!

I quote from Benoit in the thread on draft-ietf-bfd-mib resulting from Bert's
MIB Doctor review and Benoit's IESG Comment...

  Discussing this matter with Bert Wijnen, a proposal would be to add to
  the description clause that only valid versions as supported by the
  implementation can be accepted. Others would return an error.

The discussion went on to ask why this would apply to only one object and not to
all read-write and read-create objects. My view was that it would be wrong to
add such a note to the Description clause of just one such object and would be
better to add a note to the preamble for the whole module. We used wording
similar to what I suggested for boilerplate.

Now, let me make several observations:
- MIB doctor reviews are immensely valuable. The work the MIB Doctors
  do is indispensable and this is not criticism of anyone.
- IESG Comments are just comments for the consideration of the
   responsible AD (me in this case) and are not demands for a change to
   the document.  Such Comments are a really valuable part of the 
   process.
- Most MIB document authors are not sophisticated MIB gurus. On the
   whole they are dabbling in majik that is way beyond their powers. Thus,
   when they receive review comments they will almost always "roll over"
   and seek to make the change.
- Most ADs have very little MIB experience and will not push back against
   suggested changes.

So we have a case here where the majority of voices on this list appear to be
saying "You don't need to add that sort of statement to the boilerplate because
it is obvious and already described in general MIB RFCs." Yet the authors and
responsible AD have been persuaded to add exactly such a statement to this
document.

FWIW I don't think this statement is in any way harmful, so I don't propose to
take it out. But, on the other hand, I wish we had a clearer view of what is
needed and what is not needed. Well, at least I have that view on this issue for
future documents :-)

Thanks to all for your time.

Adrian

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]]
> Sent: 05 June 2014 19:43
> To: Adrian Farrel
> Cc: 'Romascanu, Dan (Dan)'; 'Benoit Claise'; 'MIB Doctors (E-mail)'
> Subject: Re: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for
> "writeable objects"
>

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 5 Jun 2014 15:51:25 -0400

> needed and what is not needed. Well, at least I have that view on this issue for

	The statement should be simple in the boiler plate and reflect the now official
position of the IESG that read-write objects in past modules are fine, but the
world HAS moved away from using SNMP for configuration and we strongly recommend that
you use NetConf, existing deployments notwithstanding.

	--Tom

> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 6 Jun 2014 10:48:12 +0200

Adrian,

I am not convinced that (i) more boilerplate text improves things and
(ii) I am concerned that these boilerplate texts get soon out of
control once we start turning issues coming up during MIB doctor
reviews into more and more boilerplate texts and fill out templates.

If the issue is inconsistency of reviews provided by MIB doctors, then
we probably need to add more details that go beyond RFC 4181 on the
MIB doctors wiki, trying to make MIB doctor reviews more consistent
(but they will never really be since differnet people tend to look at
different things more carefully).

/js